Subject: Re: bug#26459: 26.0.50; loaddefs.el is regenerated after each "git pull"

From: Paul Eggert <[email-masked]>
Date: Wed, 12 Apr 2017 14:37:50 -0700

On 04/12/2017 01:54 AM, Eli Zaretskii wrote:
> Paul, could you please explain why would
> it be a bad idea to remove the "phony" status from loaddefs.el?

That would cause loaddefs.el to not be generated sometimes when it 
should be. loaddefs.el depends not only on $(LOADDEFS) (its explicit 
dependencies), but also on all the other *.el files that have an 
autoload directive.

I don't see how the problem you mention is one that d703a4d introduced, 
as previously loaddefs.el was generated as a side effect of the 
'autoloads' rule, which was already phony.

That being said, we could do a better job of dependency checking here, 
so that loaddefs.el is not built so often. I'll see if I can think of 
something.